package com.staffing.custom.mapper;

import java.util.Collection;
import java.util.List;
import com.staffing.custom.domain.StTask;
import com.staffing.custom.domain.StTaskSign;
import org.apache.ibatis.annotations.Param;

/**
 * 任务Mapper接口
 * 
 * @author staffing
 * @date 2024-08-27
 */
public interface StTaskMapper 
{
    /**
     * 查询任务
     * 
     * @param id 任务主键
     * @return 任务
     */
    public StTask selectStTaskById(Long id);

    /**
     * 查询任务列表
     * 
     * @param stTask 任务
     * @return 任务集合
     */
    public List<StTask> selectStTaskList(StTask stTask);
    /**
     * 新增任务
     * 
     * @param stTask 任务
     * @return 结果
     */
    public int insertStTask(StTask stTask);

    /**
     * 修改任务
     * 
     * @param stTask 任务
     * @return 结果
     */
    public int updateStTask(StTask stTask);

    /**
     * 删除任务
     * 
     * @param id 任务主键
     * @return 结果
     */
    public int deleteStTaskById(Long id);

    /**
     * 批量删除任务
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteStTaskByIds(Long[] ids);
}
